.datatable-widget .notice-table th,
.datatable-widget .notice-table td {
  vertical-align: top;
  border: 1px solid #d3d2d2;
  padding: 4px;
}
.datatable-widget .notice-table {
  --base-spacing-unit: 24px;
  --half-spacing-unit: calc(var(--base-spacing-unit)/2);
  --color-alpha: #1772ff;
  --color-form-highlight: #eee;
  border-collapse: collapse;
  width: 100%;
}
.datatable-widget .table-td {
  text-align: center;
  width: max-content;
  max-width: 400px;
}
.datatable-widget .table-td-icon {
  text-decoration: none;
}
.datatable-widget .table-td-icon .file-icon {
  color: var(--color-normal-text);
  font-size: 28px;
  text-decoration: none;
}
.datatable-widget .table-td-icon img {
  width: auto;
  height: 100px;
  margin-top: 4px;
  display: inline-block;
}
.datatable-widget .table-td-icon:first-of-type img {
  margin-top: 0;
}
.datatable-widget .container-group {
  justify-content: flex-start;
  margin: 20px 0;
  display: flex;
}
.datatable-widget .container-group input {
  padding: 5px;
}
.datatable-widget .datatable-filter-group input {
  width: 110px;
  padding: 5px;
}
.datatable-widget
  .container-group
  > .content-filter-container
  + .content-filter-container {
  margin-left: 8px;
}
.datatable-widget .container-group > div:first-child + div {
  margin-left: auto;
}
.datatable-widget .dropdown-group {
  justify-content: space-between;
  align-items: center;
  padding-right: 0;
  display: flex;
}
.datatable-widget .order-asc,
.datatable-widget .order-desc {
  cursor: pointer;
}
.datatable-widget .pagination {
  flex-wrap: wrap;
  justify-content: flex-start;
  gap: 2px;
  margin-top: 10px;
  padding: 0;
  list-style: none;
  display: flex;
}
.datatable-widget .pagination li {
  cursor: pointer;
  background: #eee;
  border-radius: 4px;
  text-decoration: none;
  display: inline-block;
}
.datatable-widget .pagination li a,
.datatable-widget .pagination li span {
  padding: 6px 12px;
  line-height: 21px;
  display: inline-block;
}
.datatable-widget .pagination input {
  border: none;
  width: 24px;
  padding: 1px;
}
.datatable-widget .pagination li:has(input) {
  cursor: default;
}
.datatable-widget .pagination .active {
  background: var(--color-primary-bg);
  color: var(--color-primary-text);
}
.datatable-widget .pagesize-dropdown select,
.datatable-widget .groupBy-dropdown select {
  padding: 5px;
}
.datatable-widget table th.sortable {
  cursor: pointer;
}
.datatable-widget table th.table-th {
  min-width: 100px;
  position: relative;
}
.datatable-widget table th.table-th:first-of-type {
  min-width: 30px;
}
.datatable-widget table th.table-th:last-of-type {
  min-width: 70px;
}
.datatable-widget table th.table-th[data-column="title"],
.datatable-widget table th.table-th[data-column="name"] {
  min-width: 300px;
}
.datatable-widget table .table-td.centered {
  text-align: center;
}
.datatable-widget table .table-td:has(rt-renderer) {
  text-align: left;
  min-width: 250px;
}
.datatable-widget table .table-td[data-column="title"],
.datatable-widget table .table-td[data-column="name"] {
  text-align: left;
}
.datatable-widget table .table-td ul {
  margin: 0;
  padding-left: 0;
}
.datatable-widget table .table-td ul li {
  line-break: anywhere;
  min-width: 220px;
  list-style-position: inside;
}
.datatable-widget table .table-td ul li:only-child {
  list-style: none;
}
.datatable-widget table th.table-th input {
  border: 1px solid #888;
  border-radius: 2px;
  min-width: 40px;
  line-height: 1.5;
  position: absolute;
  top: 4px;
  left: 4px;
  right: 4px;
}
.datatable-widget .datatable-filter-group {
  margin-bottom: var(--spacing-small);
}
.datatable-widget .fliter-date-group-item {
  margin-bottom: var(--spacing-small);
  align-items: center;
  gap: var(--spacing-small);
  display: flex;
}
.datatable-widget .searchbar {
  gap: 5px;
  padding-left: 0;
  display: flex;
}
.datatable-widget .title-bar {
  justify-content: space-between;
  align-items: center;
  display: flex;
}
.datatable-widget .title-bar h2 {
  margin: 0;
}
.datatable-widget .chip,
.datatable-widget .chip-image {
  font-size: var(--typography-body-fontSize);
  background-color: var(--color-normal-light);
  cursor: pointer;
  border-radius: 10px;
  margin-top: 0;
  margin-bottom: 8px;
  padding: 4px 12px;
  display: inline-block;
  position: relative;
}
.datatable-widget .chip.active,
.datatable-widget .chip-image.active {
  background-color: var(--color-primary-bg);
  color: var(--color-normal-light);
}
.datatable-widget .container-group p {
  padding: 0;
}
.datatable-widget .pagination-meta {
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  gap: 8px;
  display: flex;
}
.datatable-widget .show-archived {
  background: var(--color-primary-bg);
  color: var(--color-primary-text);
  cursor: pointer;
  border-radius: 4px;
  padding: 6px 12px;
  line-height: 21px;
  display: inline-block;
}
.datatable-widget .show-normal-list {
  background: var(--color-primary-bg);
  color: var(--color-primary-text);
  cursor: pointer;
  border-radius: 4px;
  margin-right: 8px;
  padding: 6px 12px;
  line-height: 21px;
  display: inline-block;
}
.datatable-widget .pagination-counts {
  display: inline-block;
}
.datatable-widget .content-filter-container,
.datatable-widget .taxonomy-filter-container {
  padding: 0;
}
.datatable-widget .content-filter-container.flex-one,
.datatable-widget .taxonomy-filter-container.flex-one {
  flex: 1;
  align-self: self-end;
}
.datatable-widget .content-filter-container p,
.datatable-widget .taxonomy-filter-container p {
  margin: 10px 0;
}
.datatable-widget select.taxonomy-select {
  width: 100%;
  max-width: 400px;
  padding: 5px;
}
.datatable-widget button#search-btn {
  background-color: var(--color-primary-bg);
  color: var(--color-primary-text);
  cursor: pointer;
  border: none;
  border-radius: 2px;
  width: 30px;
}
.datatable-widget .checkboxes label {
  white-space: nowrap;
  cursor: pointer;
  display: inline-block;
}
.datatable-widget .checkboxes input {
  vertical-align: middle;
  cursor: pointer;
}
.datatable-widget .checkboxes label span {
  vertical-align: middle;
  font-size: 15px;
}
.datatable-widget .widget-container-row .checkboxes__item {
  padding-left: 0;
}
.datatable-widget .toggle-hidden {
  display: none;
}
.datatable-widget .checkbox-toggle {
  margin-left: 0;
}
.datatable-widget .checkbox-toggle:checked ~ .toggle-hidden {
  display: block;
}
.datatable-widget .pagination .hidden {
  display: none;
}
